View Issue Details

IDProjectCategoryView StatusLast Update
0004310FreeCADBugpublic2020-05-09 22:55
ReporterRoy_043 Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Fixed in Version0.19 
Summary0004310: Std_FreezeViews command: The settings of frozen views resulting from loading a *.cam file will not be saved in a new *.cam file.
DescriptionStd_FreezeViews command: The settings of frozen views resulting from loading a *.cam file will not be saved in a new *.cam file. Only frozen views created with the View → Freeze display → Freeze view menu option are correctly saved by the View → Freeze display → Save views... option.
Steps To Reproduce
  1. Create one or more frozen views with: View → Freeze display → Freeze view.
  2. Save them to a *.cam file with: View → Freeze display → Save views...
  3. Reload them with: View → Freeze display → Load views...
  4. Repeat step#2.
  5. Check the new CAM file: it does not contain valid camera data.
Additional InformationForum topic:
https://forum.freecadweb.org/viewtopic.php?f=3&t=44664
TagsNo tags attached.
FreeCAD InformationOS: Windows 8.1 (6.3)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.20311 (Git)
Build type: Release
Branch: master
Hash: 915e551bbb7e3614bc804f1ae1f65027b5432b9f
Python version: 3.6.8
Qt version: 5.12.1
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: Dutch/Netherlands (nl_NL)

Activities

openBrain

2020-04-11 15:15

developer   ~0014335

Last edited: 2020-04-11 15:16

View 2 revisions

@Roy_043 : please provide in the forum discussion enough information so that the community can reproduce (hence confirm) the issue. Saying 'only this works' isn't good information. Tell what doesn't work by providing an enough detailed step-by-step reproducing procedure. Thx

Roy_043

2020-04-11 15:43

reporter   ~0014336

IMO your response does not make sense. Following my steps and confirming this for yourself would have taken less time than writing it.

openBrain

2020-04-11 16:18

developer   ~0014337

Steps to reproduce aren't described in the forum topic.

wmayer

2020-05-01 14:15

administrator   ~0014394

https://github.com/FreeCAD/FreeCAD/commit/ae159ed44decea7cab4d9d18b8424a39d4f72b81

wmayer

2020-05-09 22:55

administrator   ~0014410

Fix committed to master branch.

Related Changesets

FreeCAD: master ae159ed4

2020-05-01 14:14:51

wmayer

Details Diff
Gui: [skip ci] fixes 0004310: Std_FreezeViews command: The settings of frozen views resulting from loading a *.cam file will not be saved in a new *.cam file. Affected Issues
0004310
mod - src/Gui/CommandView.cpp Diff File

Issue History

Date Modified Username Field Change
2020-04-11 07:59 Roy_043 New Issue
2020-04-11 15:12 openBrain Tag Attached: #pending-forum
2020-04-11 15:15 openBrain Status new => feedback
2020-04-11 15:15 openBrain Note Added: 0014335
2020-04-11 15:16 openBrain Note Edited: 0014335 View Revisions
2020-04-11 15:43 Roy_043 Note Added: 0014336
2020-04-11 15:43 Roy_043 Status feedback => new
2020-04-11 16:18 openBrain Note Added: 0014337
2020-05-01 14:15 wmayer Assigned To => wmayer
2020-05-01 14:15 wmayer Status new => closed
2020-05-01 14:15 wmayer Resolution open => fixed
2020-05-01 14:15 wmayer Fixed in Version => 0.19
2020-05-01 14:15 wmayer Note Added: 0014394
2020-05-01 14:47 openBrain Tag Detached: #pending-forum
2020-05-09 22:55 wmayer Changeset attached => FreeCAD master ae159ed4
2020-05-09 22:55 wmayer Note Added: 0014410